

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/mm/highmem.c     |    5 ++---
 25-akpm/include/asm-i386/highmem.h |    2 +-
 25-akpm/include/linux/highmem.h    |    2 +-
 3 files changed, 4 insertions(+), 5 deletions(-)

diff -puN arch/i386/mm/highmem.c~crashdump-routines-for-copying-dump-pages-kmap-fiddle arch/i386/mm/highmem.c
--- 25/arch/i386/mm/highmem.c~crashdump-routines-for-copying-dump-pages-kmap-fiddle	2004-11-17 20:46:49.883774032 -0800
+++ 25-akpm/arch/i386/mm/highmem.c	2004-11-17 20:46:49.889773120 -0800
@@ -77,7 +77,7 @@ void kunmap_atomic(char *kaddr, enum km_
 /* This is the same as kmap_atomic() but can map memory that doesn't
  * have a struct page associated with it.
  */
-void *kmap_atomic_pfn(unsigned long pfn, enum km_type type)
+char *kmap_atomic_pfn(unsigned long pfn, enum km_type type)
 {
 	enum fixed_addresses idx;
 	unsigned long vaddr;
@@ -89,7 +89,7 @@ void *kmap_atomic_pfn(unsigned long pfn,
 	set_pte(kmap_pte-idx, pfn_pte(pfn, kmap_prot));
 	__flush_tlb_one(vaddr);
 
-	return (void*) vaddr;
+	return (char *)vaddr;
 }
 
 struct page *kmap_atomic_to_page(char *ptr)
@@ -104,4 +104,3 @@ struct page *kmap_atomic_to_page(char *p
 	pte = kmap_pte - (idx - FIX_KMAP_BEGIN);
 	return pte_page(*pte);
 }
-
diff -puN include/linux/highmem.h~crashdump-routines-for-copying-dump-pages-kmap-fiddle include/linux/highmem.h
--- 25/include/linux/highmem.h~crashdump-routines-for-copying-dump-pages-kmap-fiddle	2004-11-17 20:46:49.884773880 -0800
+++ 25-akpm/include/linux/highmem.h	2004-11-17 20:46:49.889773120 -0800
@@ -28,7 +28,7 @@ static inline void *kmap(struct page *pa
 
 #define kmap_atomic(page, idx)	 ((char *)page_address(page))
 #define kunmap_atomic(addr, idx) do { char *p = addr; (void)p; } while (0)
-#define kmap_atomic_pfn(pfn, idx)	page_address(pfn_to_page(pfn))
+#define kmap_atomic_pfn(pfn, idx) ((char *)page_address(pfn_to_page(pfn)))
 #define kmap_atomic_to_page(ptr) virt_to_page(ptr)
 
 #endif /* CONFIG_HIGHMEM */
diff -puN include/asm-i386/highmem.h~crashdump-routines-for-copying-dump-pages-kmap-fiddle include/asm-i386/highmem.h
--- 25/include/asm-i386/highmem.h~crashdump-routines-for-copying-dump-pages-kmap-fiddle	2004-11-17 20:46:49.886773576 -0800
+++ 25-akpm/include/asm-i386/highmem.h	2004-11-17 20:46:49.889773120 -0800
@@ -61,7 +61,7 @@ void *kmap(struct page *page);
 void kunmap(struct page *page);
 char *kmap_atomic(struct page *page, enum km_type type);
 void kunmap_atomic(char *kvaddr, enum km_type type);
-void *kmap_atomic_pfn(unsigned long pfn, enum km_type type);
+char *kmap_atomic_pfn(unsigned long pfn, enum km_type type);
 struct page *kmap_atomic_to_page(char *ptr);
 
 #define flush_cache_kmaps()	do { } while (0)
_
